/[projects]/misc/osrm-scripts/start-osrm.sh
ViewVC logotype

Diff of /misc/osrm-scripts/start-osrm.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 3166 by torben, Wed Dec 14 13:26:40 2016 UTC revision 3173 by torben, Mon Dec 19 08:16:36 2016 UTC
# Line 1  Line 1 
1  #!/bin/bash  #!/bin/bash
2    
3    # Note
4    # 3 GB memory (ram+swap) MUST be available when compiling
5    # This amount is plenty for working with denmark - but more may be required on larger areas
6    #
7    # DATADIR should have 6 GB free space for denmark
8    
9    
10    ###################################
11    # Exit bash if a command fails
12    set -e
13    # also exit if a part of a pipe fails
14    set -o pipefail
15    
16    
17    
18    #########################
19    
20    
21    TAG="v5.5.1"
22  DATADIR=/mnt/qnap/openstreetmap  DATADIR=/mnt/qnap/openstreetmap
23    
24    if [ ! -d "$DATADIR" ] ; then
25            echo DATADIR not found
26            exit
27    fi
28    
29  if [ ! -f /usr/local/bin/osrm-extract ] ; then  if [ ! -f /usr/local/bin/osrm-extract ] ; then
30    apt-get install build-essential git cmake pkg-config libprotoc-dev  protobuf-compiler libprotobuf-dev libosmpbf-dev libpng12-dev libbz2-dev libstxxl-dev libstxxl-doc libstxxl1    apt-get install build-essential git cmake pkg-config libprotoc-dev  protobuf-compiler libprotobuf-dev libosmpbf-dev libpng12-dev libbz2-dev libstxxl-dev libstxxl-doc libstxxl1
31    apt-get install libxml2-dev libzip-dev libboost-all-dev lua5.1 liblua5.1-0-dev libluabind-dev  libtbb-dev    apt-get install libxml2-dev libzip-dev libboost-all-dev lua5.1 liblua5.1-0-dev libluabind-dev  libtbb-dev
32    
33    
34    cd /root    cd /root
35    
36      if [ ! -d osrm-backend ] ; then
37        git clone https://github.com/Project-OSRM/osrm-backend.git
38        cd osrm-backend
39        git checkout tags/$TAG
40      else
41        cd osrm-backend
42      fi
43    
44      if [ ! -d build ] ; then
45        mkdir -p build
46      fi
47    
   git clone https://github.com/Project-OSRM/osrm-backend.git  
   cd osrm-backend  
   mkdir -p build  
48    cd build    cd build
49    
50    cmake ..    #If building on Debian8/jessie LTO is apparently broken
51      cmake -DENABLE_LTO=OFF ..
52    make -j 2    make -j 2
53    make install    make install
54  fi  fi
# Line 38  if [ ! -f $DATADIR/denmark-latest.osrm ] Line 71  if [ ! -f $DATADIR/denmark-latest.osrm ]
71          osrm-extract $DATADIR/denmark-latest.osm          osrm-extract $DATADIR/denmark-latest.osm
72  fi  fi
73    
74  if [ ! -f $DATADIR/denmark-latest.osrm.edges ] ; then  if [ ! -f $DATADIR/denmark-latest.osrm.hsgr ] ; then
75          osrm-prepare $DATADIR/denmark-latest.osrm          osrm-contract $DATADIR/denmark-latest.osrm
76  fi  fi
77    
78  cd $DATADIR  cd $DATADIR

Legend:
Removed from v.3166  
changed lines
  Added in v.3173

  ViewVC Help
Powered by ViewVC 1.1.20